[focal-victoria] Listing resource types returns "Internal Error"

Bug #1895300 reported by Aurelien Lourot on 2020-09-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack heat charm
High
Unassigned

Bug Description

Happens while running the Zaza tests:

https://review.opendev.org/#/c/748633/
https://openstack-ci-reports.ubuntu.com/artifacts/test_charm_pipeline_func_full/openstack/charm-heat/748633/1/6865/index.html
https://openstack-ci-reports.ubuntu.com/artifacts/test_charm_pipeline_func_full/openstack/charm-heat/748633/1/6865/consoleText.test_charm_func_full_9974.txt

2020-09-11 12:23:19 [INFO] FAIL: test_400_heat_resource_types_list (zaza.openstack.charm_tests.heat.tests.HeatBasicDeployment)
2020-09-11 12:23:19 [INFO] Check default resource list behavior and confirm functionality.
2020-09-11 12:23:19 [INFO] ----------------------------------------------------------------------
2020-09-11 12:23:19 [INFO] Traceback (most recent call last):
2020-09-11 12:23:19 [INFO] File "/tmp/tmp.XtH7sFquzZ/func/lib/python3.5/site-packages/zaza/openstack/charm_tests/heat/tests.py", line 78, in test_400_heat_resource_types_list
2020-09-11 12:23:19 [INFO] types = self.heat_client.resource_types.list()
2020-09-11 12:23:19 [INFO] heatclient.exc.HTTPInternalServerError: ERROR: Internal Error
2020-09-11 12:23:19 [INFO] During handling of the above exception, another exception occurred:
2020-09-11 12:23:19 [INFO] Traceback (most recent call last):
2020-09-11 12:23:19 [INFO] File "/tmp/tmp.XtH7sFquzZ/func/lib/python3.5/site-packages/zaza/openstack/charm_tests/heat/tests.py", line 83, in test_400_heat_resource_types_list
2020-09-11 12:23:19 [INFO] self.fail(msg)
2020-09-11 12:23:19 [INFO] AssertionError: Resource type list failed: ERROR: Internal Error

Changed in charm-heat:
milestone: none → 20.10
Changed in charm-heat:
status: New → In Progress
importance: Undecided → High

Missing dependencies, heat-engine fails to start with:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/stevedore/extension.py", line 221, in _load_plugins
    ext = self._load_one_plugin(ep,
  File "/usr/lib/python3/dist-packages/stevedore/enabled.py", line 77, in _load_one_plugin
    ext = super(EnabledExtensionManager, self)._load_one_plugin(
  File "/usr/lib/python3/dist-packages/stevedore/extension.py", line 255, in _load_one_plugin
    plugin = ep.load()
  File "/usr/lib/python3.8/importlib/metadata.py", line 77, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.8/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
  File "<frozen importlib._bootstrap>", line 991, in _find_and_load
  File "<frozen importlib._bootstrap>", line 975, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 671, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 783, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "/usr/lib/python3/dist-packages/heat/engine/clients/os/vitrage.py", line 16, in <module>
    from vitrageclient import client as vitrage_client
ModuleNotFoundError: No module named 'vitrageclient'

Two dependencies are missing: python3-vitrageclient and python3-zunclient, because they seem to be mistakenly declared as "recommended" dependencies instead of hard dependencies. See https://bugs.launchpad.net/cloud-archive/+bug/1893935

Reviewed: https://review.opendev.org/748633
Committed: https://git.openstack.org/cgit/openstack/charm-heat/commit/?id=894131d2aeed97b39750d507dab7210d2126d3f2
Submitter: Zuul
Branch: master

commit 894131d2aeed97b39750d507dab7210d2126d3f2
Author: Aurelien Lourot <email address hidden>
Date: Fri Aug 28 14:05:06 2020 +0200

    Work around missing dependencies on focal-victoria

    Also add focal-victoria to the test gate.

    Func-Test-Pr: https://github.com/openstack-charmers/zaza-openstack-tests/pull/425
    Change-Id: I80e0f8f975a263fbe4c92bdeb2790ebd49cf68d9
    Closes-Bug: #1895300
    Related-Bug: #1893935

Changed in charm-heat:
status: In Progress → Fix Committed
Changed in charm-heat:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers